## com.saxonica.schema.fsa
Class Edge.MaxOccursTerm

    java.lang.Object
      com.saxonica.schema.fsa.Edge.MaxOccursTerm

All Implemented Interfaces:
  Term

Enclosing class:
  Edge

    public static class Edge.MaxOccursTerm

extends Object
implements Term

Special singular Term identifying a transition to be used when the maxOccurs value of a counting state is reached. This enables content models like a(2,2)a to be treated as non-ambiguous. See test case modelGroups mg005.

Method Summary
`static Edge.MaxOccursTerm` `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static Edge.MaxOccursTerm getInstance()

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.